var react = require('@emotion/react');
var reactPortal = require('react-portal');
var iconsReact = require('@fdn-ui/icons-react');

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

var _templateObject;
var Link = function Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      className = _ref.className;
  return react.jsx("a", {
    href: to,
    className: className,
    css: react.css(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n                color: rgb(0, 125, 179);\n                text-decoration: none;\n\n                &:hover {\n                    color: rgb(0, 125, 179);\n                    text-decoration: underline;\n                }\n\n                &:visited {\n                    color: rgb(0, 125, 179);\n                    text-decoration: none;\n                }\n            "])))
  }, children);
};

var _templateObject$1;
var Pill = function Pill(_ref) {
  var children = _ref.children,
      type = _ref.type;
  return react.jsx("div", {
    css: react.css(_templateObject$1 || (_templateObject$1 = _taggedTemplateLiteralLoose(["\n                display: flex;\n                flex-direction: column;\n                align-items: center;\n                justify-content: center;\n                padding: 0.5em 1em;\n                border-radius: 5rem;\n                cursor: pointer;\n                box-sizing: border-box;\n                user-select: none;\n                width: 5.5em;\n                height: 1em;\n                \n                background-color: ", ";\n            "])), type === "primary" ? "#7600ff" : type === "secondary" ? "#1ed760" : "rgb(255, 255, 255)")
  }, children);
};

var _templateObject$2, _templateObject2;
var Button = function Button(_ref) {
  var link = _ref.link,
      onPress = _ref.onPress,
      children = _ref.children,
      disabled = _ref.disabled,
      text = _ref.text,
      chonky = _ref.chonky,
      icon = _ref.icon,
      type = _ref.type,
      width = _ref.width,
      full = _ref.full;
  return react.jsx("div", {
    css: react.css(_templateObject$2 || (_templateObject$2 = _taggedTemplateLiteralLoose(["\n                display: flex;\n                justify-content: space-evenly;\n                align-items: center;\n                flex-direction: row;\n                background: ", ";\n                border-radius: ", ";\n                border: ", ";\n                opacity: ", ";\n                color: #eee;\n                cursor: ", ";\n                font-size: 18px;\n                height: 50px;\n                margin-top: ", ";\n                padding-left: ", ";\n                padding-right: ", ";\n                outline: 0;\n                width: ", ";\n                ", "\n            "])), type === "primary" ? "#7600ff" : "transparent", type === "primary" ? "12px" : "5px", type === "primary" ? "none" : "1px solid #7600ff", disabled ? "0.5" : "1", disabled ? "not-allowed" : "pointer", chonky ? "0" : "10px", width ? undefined : "1.5em", width ? undefined : "1.5em", width ? width + "em" : full ? "100%" : "auto", disabled ? null : "\n                        &:hover {\n                            background: " + (type === "primary" ? "#6300D6" : "rgba(0, 0, 0, 0.1)") + ";\n                        }"),
    onClick: function onClick(e) {
      e.stopPropagation();
      e.preventDefault();
      disabled ? null : onPress(e);
      link ? location.assign(link) : null;
    }
  }, icon, text ? react.jsx("p", {
    css: react.css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n                        font-size: 1.2em;\n                        font-weight: 700;\n                    "])))
  }, text) : children);
};

var _templateObject$3;
var Card = function Card(_ref) {
  var children = _ref.children,
      title = _ref.title,
      subtitle = _ref.subtitle,
      className = _ref.className,
      full = _ref.full,
      cursor = _ref.cursor,
      padding = _ref.padding;
  return react.jsx("div", {
    css: react.css(_templateObject$3 || (_templateObject$3 = _taggedTemplateLiteralLoose(["\n                ", "\n                ", "\n            "])), full ? {
      display: "flex",
      flexDirection: "column",
      justifyContent: "center",
      backgroundColor: "#181718",
      color: "#FFFFFF",
      width: "100vw",
      height: "100vh",
      "@media only screen and (max-width: 600px)": {
        display: "flex",
        flexDirection: "column",
        width: "100vw",
        height: "100vh"
      }
    } : "", cursor ? "cursor: pointer;" : "")
  }, react.jsx("div", {
    className: className,
    css: react.css({
      display: "flex",
      flexDirection: "column",
      justifyContent: "center",
      alignItems: "center",
      width: full ? "auto" : "7em",
      height: full ? "auto" : "7em",
      padding: padding ? padding : "7em",
      background: "rgba(255, 255, 255, 0.20)",
      border: "0.1em solid rgba(0, 0, 0, 0.15)",
      borderRadius: "10px",
      "@media only screen and (max-width: 600px)": {
        width: "100%",
        height: "100%",
        borderRadius: "5px",
        padding: "3em"
      }
    })
  }, title ? react.jsx("div", null, react.jsx("h2", {
    css: react.css({
      fontSize: "3em"
    })
  }, title), subtitle ? react.jsx("h3", {
    css: react.css({
      fontSize: "1.5em"
    })
  }, subtitle) : null, react.jsx("div", {
    css: react.css({
      width: "100%",
      height: "0px",
      left: "calc(50% - 689px/2 - 334px)",
      top: "calc(50% - 0px/2 - 337px)",
      border: "2px solid #605e5c",
      marginTop: "2em",
      "@media only screen and (max-width: 600px)": {
        width: "50%",
        height: "0px",
        left: "calc(50% - 680px/2 - 334px)",
        top: "calc(50% - 0px/2 - 337px)",
        border: "2px solid var(--dividerColor)",
        marginTop: "2em"
      }
    })
  })) : null, children));
};

var Field = function Field(_ref) {
  var name = _ref.name,
      value = _ref.value,
      disabled = _ref.disabled,
      label = _ref.label,
      error = _ref.error,
      _onChange = _ref.onChange,
      prefill = _ref.prefill,
      padding = _ref.padding,
      icon = _ref.icon;
  return react.jsx("div", {
    css: react.css({
      display: "flex",
      flexDirection: "column"
    })
  }, label && react.jsx("label", {
    htmlFor: name
  }, label), react.jsx("div", {
    css: react.css({
      display: "flex",
      flexDirection: "row",
      alignItems: "center",
      justifyContent: "center",
      backgroundColor: "#303245",
      opacity: disabled ? 0.5 : 1,
      cursor: disabled ? "not-allowed" : "text",
      border: error ? "0.01em solid #ff0000" : undefined,
      borderRadius: "12px",
      padding: padding || "0.2em",
      width: "100%"
    })
  }, icon && react.jsx("div", {
    css: react.css({
      display: "flex",
      flexDirection: "row",
      alignItems: "center",
      justifyContent: "center",
      padding: "0.2em"
    })
  }, icon), react.jsx("div", {
    css: react.css({
      display: "flex",
      flexDirection: "row",
      alignItems: "center",
      justifyContent: "center"
    })
  }, react.jsx("input", {
    css: react.css({
      marginTop: "1em",
      backgroundColor: "#303245",
      borderRadius: "12px",
      border: 0,
      margin: 0,
      boxSizing: "border-box",
      color: "#eee",
      fontSize: "18px",
      outline: 0,
      width: "100%",
      padding: padding || "0.2em"
    }),
    type: "text",
    name: name,
    value: value,
    onChange: function onChange() {
      return _onChange;
    },
    disabled: disabled,
    placeholder: prefill
  }))), react.jsx("div", {
    css: react.css({
      padding: "0.2em"
    })
  }, error && react.jsx("span", {
    css: react.css({
      color: "#ff0000",
      fontSize: "12px"
    })
  }, error)));
};

var _templateObject$4, _templateObject2$1;
var Toast = function Toast(_ref) {
  var heading = _ref.heading,
      body = _ref.body,
      opened = _ref.opened,
      onClose = _ref.onClose,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? "neutral" : _ref$type,
      _ref$location = _ref.location,
      location = _ref$location === void 0 ? "bottom-right" : _ref$location,
      timeout = _ref.timeout,
      icon = _ref.icon;
  timeout ? setTimeout(function () {
    onClose();
  }, timeout) : null;
  return react.jsx("span", null, opened && react.jsx(reactPortal.Portal, null, react.jsx("div", {
    css: {
      position: "fixed",
      zIndex: 9999,
      top: location === "top" ? "1em" : undefined,
      bottom: location === "bottom-right" ? "1em" : undefined,
      right: location === "bottom-right" ? "1em" : undefined,
      left: location === "top" ? "50vw" : undefined,
      background: type === "success" ? "rgba(60, 97, 53, 0.73)" : type === "error" ? "rgba(255, 0, 0, 0.2)" : type === "neutral" ? "rgba(248, 255, 0, 0.2)" : "#000000",
      border: type === "success" ? "1px solid rgba(255, 255, 255, 0.125)" : type === "error" ? "1px solid rgba(255, 255, 255, 0.125)" : type === "neutral" ? "1px solid rgba(255, 255, 255, 0.125)" : "1px solid rgba(255, 255, 255, 0.125)",
      backdropFilter: "blur(9px) saturate(200%)",
      color: "white",
      padding: "1em",
      borderRadius: "0.5em",
      boxShadow: "0 0 0.5em 0.5em rgba(0, 0, 0, 0.5)",
      animation: (opened ? react.keyframes(_templateObject$4 || (_templateObject$4 = _taggedTemplateLiteralLoose(["\n                                0% {\n                                    opacity: 0;\n                                    transform: translateY(1em);\n                                }\n                                100% {\n                                    opacity: 1;\n                                    transform: translateY(0);\n                                }\n                            "]))) : react.keyframes(_templateObject2$1 || (_templateObject2$1 = _taggedTemplateLiteralLoose(["\n                                0% {\n                                    opacity: 1;\n                                    transform: translateY(0);\n                                }\n                                100% {\n                                    opacity: 0;\n                                    transform: translateY(1em);\n                                }\n                            "])))) + " 0.5s ease-in-out"
    }
  }, react.jsx("div", {
    css: {
      "float": "right",
      cursor: "pointer"
    }
  }, react.jsx("div", {
    css: {
      display: "flex",
      alignItems: "center",
      marginRight: "1em"
    }
  }, react.jsx(iconsReact.Close, {
    fill: "white",
    onClick: onClose
  }))), react.jsx("div", {
    css: {
      display: "flex",
      flexDirection: "row",
      alignItems: "center"
    }
  }, icon, react.jsx("div", {
    css: {
      display: "flex",
      flexDirection: "column",
      marginLeft: "1em"
    }
  }, react.jsx("h3", {
    css: {
      margin: 0,
      fontSize: "1.5em",
      fontWeight: "bold"
    }
  }, heading), react.jsx("p", {
    css: {
      margin: 0,
      fontSize: "1em",
      fontWeight: "normal"
    }
  }, body))))));
};

var _templateObject$5, _templateObject2$2;
var Drawer = function Drawer(_ref) {
  var heading = _ref.heading,
      children = _ref.children,
      opened = _ref.opened,
      onClose = _ref.onClose,
      _ref$location = _ref.location,
      location = _ref$location === void 0 ? "left" : _ref$location,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? "300px" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? "100vh" : _ref$height;
  return react.jsx("span", null, opened && react.jsx(reactPortal.Portal, null, react.jsx("div", {
    css: {
      backgroundColor: "#181718",
      position: "fixed",
      zIndex: 9999,
      top: 0,
      bottom: 0,
      right: location === "right" ? 0 : undefined,
      left: location === "left" ? 0 : undefined,
      width: width,
      height: height,
      color: "white",
      border: "1px solid #000000",
      boxShadow: "0px 0px 10px 0px rgba(0,0,0,0.75)",
      overflow: "auto",
      animation: (opened ? react.keyframes(_templateObject$5 || (_templateObject$5 = _taggedTemplateLiteralLoose(["\n                                0% {\n                                    transform: translateX(-100%);\n                                }\n                                100% {\n                                    transform: translateX(0%);\n                                }\n                            "]))) : react.keyframes(_templateObject2$2 || (_templateObject2$2 = _taggedTemplateLiteralLoose(["\n                                0% {\n                                    transform: translateX(0%);\n                                }\n                                100% {\n                                    transform: translateX(-100%);\n                                }\n                            "])))) + " 0.3s ease-in-out"
    }
  }, react.jsx("div", {
    css: {
      "float": "right",
      padding: "1em",
      cursor: "pointer"
    },
    onClick: onClose
  }, react.jsx(iconsReact.Close, {
    fill: "white"
  })), react.jsx("div", {
    css: {
      display: "flex",
      justifyContent: "space-between",
      alignItems: "center",
      padding: "1em",
      borderBottom: "1px solid #ffffff"
    }
  }, react.jsx("h3", {
    css: {
      margin: 0
    }
  }, heading)), react.jsx("div", {
    css: {
      padding: "1em"
    }
  }, children))));
};

exports.Button = Button;
exports.Card = Card;
exports.Drawer = Drawer;
exports.Field = Field;
exports.Link = Link;
exports.Pill = Pill;
exports.Toast = Toast;
//# sourceMappingURL=index.js.map
